MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023500Open CASCADE[OCCT] OCCT:Samplespublic2012-10-30 12:272012-11-16 13:18
Reporterbugmaster 
Assigned Toibs 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023500: MFC texture example is crashed when view closed
DescriptionMFC samples built with vc10 64 bit are crashed on 3D visualization.
Viewer2d works without problem.
Steps To Reproduce1. Execute Viewer3d sample (run.bat vc10 win64 Debug Viewer3d)
2. Run texture example
3. Menu: File - Close
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023345closedkgv Community Crash when destroying OpenGl_Element 
related to 0023544closedkgv Open CASCADE Texture management in TKOpenGl should be redesigned 

-  Notes
(0022012)
bugmaster (administrator)
2012-10-30 15:06

One remark. Target folder for 64 bit libraries and executable is x64.
It is necessary to replace it by win64 because it is in context of main principles of loading environment.
(0022063)
ibs (developer)
2012-11-01 17:48

I've just compiled %OCCT_PATH%\samples\mfc\standard\All-vc10.sln with Debug&Release|x64 configuration - the solution has compiled without any crushes...

Could you describe your actions more specifically? What OCC libraries you use? How did you build them?

>One remark. Target folder for 64 bit libraries and executable is x64.
>It is necessary to replace it by win64 because it is in context of main
>principles of loading environment.

Ok
(0022148)
ibs (developer)
2012-11-08 14:58
edited on: 2012-11-08 15:01

Full bug description:

1. Execute Viewer3d sample:
   run.bat vc9 win32 Debug Viewer3d
  or
   run.bat vc10 win64 Debug Viewer3d

2. Box button clicking ( Create box: BRepPrimAPI_MakeBox Box1(gp_Pnt(0,-400,-100), 200.,150.,100.)) )
3. Menu: File - Close

after steps above the Viewer3d crashes.

(0022152)
ibs (developer)
2012-11-08 16:43
edited on: 2012-11-08 16:54

with latest bug fixes the Viewer3d doesn't crash.

(0022162)
ibs (developer)
2012-11-08 18:49

Full bug description:

1. Execute Viewer3d sample:
   run.bat vc10 win64 Debug Viewer3d

2. (!) Run texture example
3. Menu: File - Close

after steps above the Viewer3d crashes.
(0022170)
ibs (developer)
2012-11-09 12:22

void FreeTexture() in OpenGl_TextureBox.cxx - avoid possible NULL-pointer dereference

the branch CR0023500 has been pushed

- Related Changesets
occt: master 1c4ff5c6
Timestamp: 2012-11-09 08:11:20
Author: ibs
Details ] Diff ]
0023500: MFC samples are crached on 3D visualisation

void FreeTexture() in OpenGl_TextureBox.cxx - avoid possible NULL-pointer dereference

after debug x64 compilation the executable viewer3d had been moved to the bin folder. now executable viewer3d located in bind folder.
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBox.cxx Diff ] File ]
occt: master 5853bf66
Timestamp: 2012-11-13 09:40:43
Author: ibs
Details ] Diff ]
0023500: MFC texture example is crashed when view closed

x64 sample build directory has been changed to win64
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc8/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc9/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc10/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc8/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc9/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc8/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc9/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc8/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc9/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc8/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc9/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc8/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc9/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc8/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc9/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc8/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc9/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc8/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc9/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc8/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc9/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc8/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc9/mfcsample.vcproj Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBox.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-30 12:27 bugmaster New Issue
2012-10-30 12:27 bugmaster Assigned To => abv
2012-10-30 12:28 bugmaster Summary MFC samples are crached on visualisation => MFC samples are crached on 3D visualisation
2012-10-30 12:28 bugmaster Description Updated View Revisions
2012-10-30 12:29 bugmaster Status new => assigned
2012-10-30 15:06 bugmaster Note Added: 0022012
2012-10-30 15:20 abv Assigned To abv => ibs
2012-11-01 17:48 ibs Note Added: 0022063
2012-11-01 17:49 ibs Assigned To ibs => bugmaster
2012-11-01 17:49 ibs Status assigned => feedback
2012-11-01 17:55 ibs Assigned To bugmaster => ibs
2012-11-01 17:55 ibs Status feedback => assigned
2012-11-08 14:58 ibs Note Added: 0022148
2012-11-08 15:01 ibs Note Edited: 0022148 View Revisions
2012-11-08 16:43 ibs Note Added: 0022152
2012-11-08 16:54 ibs Note Edited: 0022152 View Revisions
2012-11-08 18:49 ibs Note Added: 0022162
2012-11-09 12:21 ibs Assigned To ibs => bugmaster
2012-11-09 12:21 ibs Status assigned => resolved
2012-11-09 12:22 ibs Note Added: 0022170
2012-11-09 12:55 bugmaster Status resolved => reviewed
2012-11-09 12:55 bugmaster Status reviewed => tested
2012-11-12 11:33 ibs Changeset attached => occt master 1c4ff5c6
2012-11-12 11:33 ibs Assigned To bugmaster => ibs
2012-11-12 11:33 ibs Status tested => verified
2012-11-12 11:33 ibs Resolution open => fixed
2012-11-12 11:53 kgv Relationship added related to 0023345
2012-11-12 12:03 kgv Summary MFC samples are crached on 3D visualisation => MFC texture example is crashed when view closed
2012-11-12 12:03 kgv Description Updated View Revisions
2012-11-12 12:03 kgv Steps to Reproduce Updated View Revisions
2012-11-12 13:09 kgv Relationship added related to 0023544
2012-11-16 13:03 ibs Changeset attached => occt master 5853bf66
2012-11-16 13:13 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed
2014-01-11 11:59 abv Category OCCT Release:MFC => OCCT Release:Samples
2014-01-11 12:02 abv Category OCCT Release:Samples => OCCT:Samples


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker